← kpapps.cz API

AI Gateway

OpenAI-compatible LLM API via LiteLLM. Local models on Arc Pro B70 and RTX 3060, with cloud fallback.

Base URL & authentication

Base URL:  https://api.kpapps.cz/ai/v1
Auth:      Authorization: Bearer 
API keys are managed in LiteLLM. Contact the administrator for a key.

Available models

ModelDescriptionContextNotes
fastQwen3.6 35B-A3B MTP64KMoE, high throughput
smartQwen3.6 27B MTP131KMost capable local model
hassQwen3.5 4B MTP32KFast, always available
autocompleteQwen2.5-Coder 1.5B32KFIM only
autoCloud (OpenRouter free)Cloud fallback

Quick start

# List models
curl https://api.kpapps.cz/ai/v1/models -H "Authorization: Bearer "

# Chat
curl https://api.kpapps.cz/ai/v1/chat/completions   -H "Authorization: Bearer " -H "Content-Type: application/json"   -d '{"model":"smart","messages":[{"role":"user","content":"Hello"}]}'

# Python
from openai import OpenAI
client = OpenAI(base_url="https://api.kpapps.cz/ai/v1", api_key="")